
Redmine - Feature #10789

Macros {{child_pages}} with depth parameter

2012-04-27 11:03 - Alexander Oryol

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

The default behaviour of child_pages is two levels nesting.

It strongly restrict applicability of macros.

This small patch adds optional parameter depth with default value = 2.

{{child_pages(Foo, parent=1, depth=3)}}

Related issues:

Has duplicate Redmine - Patch #3962: Add a maximum nesting option to the {{ch... Closed 2009-10-02

Associated revisions

Revision 10401 - 2012-09-16 17:24 - Jean-Philippe Lang

Adds a "depth" option to the child_pages macro (#10789).

Revision 10402 - 2012-09-16 17:27 - Jean-Philippe Lang

Updates macro description (#10789).

History

#1 - 2012-04-27 11:17 - Alexander Oryol

- File child_pages_with_depth1.patch added

Ohmmm... sorry!

#2 - 2012-09-14 11:50 - Alexander Oryol

Up!

#3 - 2012-09-14 11:54 - Alexander Oryol

- Assignee set to Jean-Philippe Lang

Please, apply this patch to 2.1.0. Usefull for big Wikis. Backward compatible.

#4 - 2012-09-14 12:04 - Jean-Philippe Lang

- Target version set to 2.2.0

#5 - 2012-09-14 13:01 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please do not assign issues directly.

#6 - 2012-09-14 13:01 - Etienne Massip

- Assignee set to Jean-Philippe Lang

Missed JPL update.
#7 - 2012-09-16 16:52 - Jean-Philippe Lang

acts_as_tree#descendants was not supposed to return 2 levels only. It was fixed in 2.1.0 (r10142) so now it returns all levels. The depth option will be

added in 2.2.0.

#8 - 2012-09-16 17:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Option added in r10401.

#9 - 2015-03-17 02:24 - Go MAEDA

- Has duplicate Patch #3962: Add a maximum nesting option to the {{child_pages}} macro added

Files

child_pages_with_depth.patch 2.31 KB 2012-04-27 Alexander Oryol

child_pages_with_depth1.patch 2.31 KB 2012-04-27 Alexander Oryol
